galaxy-caddy.reverse
====================

Push a reverse caddy config file

Requirements
------------

Caddy webserver up and running

Role Variables
--------------

- caddy_home: caddy home directory
- caddy_logs: caddy log directory
- caddy_conf: caddy config directory
- caddy_confd: caddy conf.d directory
- caddy_www: /var/www/caddy
- reverse_location: reverse destination point
- reverse_port: port to redirect to
- websocket_path: path to websocket (optional)
- websocket_location: reverse destination point for websocket config
- websocket_port: websocket port to redirect to
- websocket: yes/no, enable websocket block in config file
- proxy_rule: yes/no, enable specific proxy rule setup
- proxy_location: reverse destination point
- proxy_path: path to route proxy to
- proxy_port: proxy port to redirect to
- vhost_name: name of the vhost

Dependencies
------------

- galaxy-caddy

Example Playbook
----------------

    - hosts: servers
      roles:
         - { role: galaxy-caddy.reverse, vhostname: none, reverse_location: localhost, reverse_port: 4242 }

Run tests
---------

Needs galaxy-vagrant to run tests

Ensure galaxy-vagrant is up

    ansible-playbook -i tests/inventory tests/test.yml
